FullWrtTextInternal::DataModifier Struct Reference documentation

FullWrtTextInternal::DataModifier Struct Reference

Internal: class to store a font/para modifier with appear in text data. More...

## Public Member Functions
| DataModifier ()
| constructor
float | getSuper () const
| returns the superscript value ( negative in pt, position in li)
float | getSub () const
| returns the sub value ( negative in pt, position in li)
int | getBorderId () const
| returns the border id
int | getDocParaId () const
| returns the document extra id

## Public Attributes
MWAWColor | m_color
| the color
int | m_data [4]
| the data
std::string | m_extra
| extra data

## Friends
std::ostream & | operator<< (std::ostream &o, DataModifier const &m)
| operator<<

## Detailed Description

Internal: class to store a font/para modifier with appear in text data.

## Constructor & Destructor Documentation

## ◆ DataModifier()

FullWrtTextInternal::DataModifier::DataModifier | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Member Function Documentation

## ◆ getBorderId()

int FullWrtTextInternal::DataModifier::getBorderId | ( |  | ) | const
| inline

returns the border id

Referenced by FullWrtText::send().

## ◆ getDocParaId()

int FullWrtTextInternal::DataModifier::getDocParaId | ( |  | ) | const
| inline

returns the document extra id

Referenced by FullWrtText::send().

## ◆ getSub()

float FullWrtTextInternal::DataModifier::getSub | ( |  | ) | const
| inline

returns the sub value ( negative in pt, position in li)

Referenced by operator<<.

## ◆ getSuper()

float FullWrtTextInternal::DataModifier::getSuper | ( |  | ) | const
| inline

returns the superscript value ( negative in pt, position in li)

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | DataModifier const & | m )
| friend

operator<<

## Member Data Documentation

## ◆ m_color

MWAWColor FullWrtTextInternal::DataModifier::m_color

the color

Referenced by DataModifier(), operator<<, and FullWrtText::readDataMod().

## ◆ m_data

int FullWrtTextInternal::DataModifier::m_data[4]

the data

Referenced by DataModifier(), getBorderId(), getDocParaId(), getSub(), getSuper(), operator<<, and FullWrtText::readDataMod().

## ◆ m_extra

std::string FullWrtTextInternal::DataModifier::m_extra

extra data

Referenced by DataModifier(), operator<<, and FullWrtText::readDataMod().

The documentation for this struct was generated from the following file:

- FullWrtText.cxx